Skip to content

Create tournament ​

POST
/v1/tournaments

Create tournament

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Request Body​

application/json
JSON
{
  
"official_name": "Formula 1",
  
"season": "2026",
  
"tournament_type": "league",
  
"region": "WORLD",
  
"date_start": "2026-09-01T00:00:00",
  
"date_stop": "2026-12-31T00:00:00",
  
"sport_type": "formula1",
  
"ranking": 10
}

Responses​

Created

application/json
JSON
{
  
"tournaments": [
  
  
{
  
  
  
"tournament_id": "8a8bd5e3d98347e68cbe50d31953fcbb_trn",
  
  
  
"official_name": "Formula 1",
  
  
  
"season": "2026",
  
  
  
"tournament_type": "league",
  
  
  
"region": "WORLD",
  
  
  
"sport_type": "formula1",
  
  
  
"date_start": "2026-09-01T00:00:00",
  
  
  
"date_stop": "2026-12-31T00:00:00",
  
  
  
"created": "2026-09-01T07:08:25",
  
  
  
"updated": "2026-09-01T00:30:31",
  
  
  
"slug": "formula-1-2026",
  
  
  
"number_events": 0,
  
  
  
"ranking": 10
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground​

Server
Authorization
Body

Samples​